Subject: Re: [bug#59048] [PATCH v2] guix: modify-input: Recommend prepend instead of append.

From: Christopher Baines <[email-masked]>
Date: Mon, 21 Nov 2022 14:36:21 +0000

Vivien Kraus via Guix-patches via <[email-masked]> writes:

> Most packages use prepend rather than append. If guix has to decide on an
> official policy, it should favor prepend.
>
> * doc/guix.texi (Defining Package Variants): Document the "prepend" clause of
> modify-inputs first.
> * guix/packages.scm (modify-inputs): use "prepend" in the docstring.
> ---
>  doc/guix.texi     | 12 ++++++------
>  guix/packages.scm |  4 ++--
>  2 files changed, 8 insertions(+), 8 deletions(-)

I've now pushed this to master as
9283c80e604324f5449b5a8daf94285cdc6a8604.

For some reason, I think I pushed the v1 of the patch, that's my bad. I
think the changes are still fine, it's just I missed the commit message
changes here.

Chris